{% extends "circo/circo_base.html" %}
{% load staticfiles %}

{% block site %} - API{% endblock %}

<!--TODO : mettre à jour les exemples, liens ... en fonction des applications activées -->
<!--TODO : Attention, enlever la dépendance au catalogue des formations calcul, mettre en relatif
    (cf le code de maimosine -->

{% block header %}
  <a href="{% url 'api_home' %}">
  <img src="/static/circo/img/api.svg" alt="API Circo" class="logo"></a>
  {% include "circo/header.html" with title="DISTRIBUTION DES DONNEES" %}
{% endblock %}

{% block content %}

  <h2>API REST</h2>
  <p>Les données sont distribuées sur ce site {{request.build_absolute_uri }}
     aux formats json, jsonp, xml ou ical (=calendrier).
  <p> Le format par défaut est le json. Pour obtenir un autre format, il
    faut ajouter le paramètre 'format' à la fin de l'url. (voir les exemples
    ci dessous)
  </p>
  <p>Actuellement, on peut accéder à la liste complète des formations ainsi qu'au
    détail d'une formation. La possibilité de filtrer les formations est en
    cours de développement.
  </p>
  <p>Quelques exemples :
    <ul>
      <li>Liste de toutes les formations au format json :
        <a href="{{request.build_absolute_uri }}training/trainings">
          {{ request.build_absolute_uri }}training/trainings
        </a>
      </li>
      <li>Liste de toutes les formations au format xml :
        <a href="{{request.build_absolute_uri }}training/trainings/?format=xml">
          {{ request.build_absolute_uri }}training/trainings/?format=xml</a>
      </li>
      <li>Liste de toutes les formations au format ical :
        <a href="{{request.build_absolute_uri }}training/trainings/?format=ical">
          {{ request.build_absolute_uri }}training/trainings/?format=ical</a>
      </li>
      <li>Détail de la formation ayant pour identifiant tra_id=50 :
          <a href="{{request.build_absolute_uri }}training/trainings/50/">
          {{ request.build_absolute_uri }}training/trainings/50/</a>
      </li>
      <li>Liste des formations futures :
        <a href="{{request.build_absolute_uri }}training/trainings/futur">
          {{ request.build_absolute_uri }}training/trainings/futur
        </a>
      </li>
    </ul>
  </p>
  <!--a href="{% url 'api_home' %}root">Acc&egraves &agrave la racine de l'api</a-->
  <h2>Syndication</h2>
    <p>Flux rss des formations à venir :
       <a href="{{request.build_absolute_uri }}training/feed/futur">
          {{request.build_absolute_uri }}trainings/feed/futur</a></p>
  <!--h2>Outils pour afficher les donn&eacutees de l'api dans un site web client</h2>
  <p>Exemple d'utilisation de l'API : l'affichage 'embarqué' des formations dans un autre site web.</p>
  <p><a href="{% url 'home' %}web-client/displayJSON/displayTrainingList.html">
      Voir l'exemple</a></p>
  <br><br><br--><br>
{% endblock %}